Bug 977039 - Wine-gecko depends on libgcc
Wine-gecko depends on libgcc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 17:02 EDT by František Zatloukal
Modified: 2013-08-31 19:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: wine-1.6-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 19:36:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error messages in winecfg wine-1.6-1.fc19.x86_64 (19.80 KB, text/plain)
2013-07-28 12:15 EDT, Peter H. Jones
no flags Details
test of wine-1.6-3.fc20.x86_64 under fc19 (40.23 KB, text/plain)
2013-08-07 21:05 EDT, Peter H. Jones
no flags Details

  None (edit)
Description František Zatloukal 2013-06-22 17:02:47 EDT
Description of problem:
Latest version of wine (1.6rc2 from updates-testing in Fedora 19) doesn't detect gecko installation.

Version-Release number of selected component (if applicable):
wine 1.6rc2

How reproducible:
Always

Steps to Reproduce:
1.Install wine from updates-testing
2.Run winecfg from terminal or bundled Internet Explorer

Actual results:
Html-rendering disabled because wine-gecko not found.

Expected results:
Working html-rendering.

Additional info:
Both gecko packages (mingw32-wine-gecko.noarch mingw64-wine-gecko.noarch) are installed. Regenerating wine configuration (rm -rf ~/.wine && winecfg) doesn't help.
Comment 1 Peter H. Jones 2013-07-28 12:15:10 EDT
Created attachment 779382 [details]
Error messages in winecfg wine-1.6-1.fc19.x86_64

I see some error messages when I start winecfg in wine-1.6-1.fc19.x86_64:
"fixme:storage:create_storagefile Storage share mode not implemented.
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
fixme:storage:create_storagefile Storage share mode not implemented.
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:iphlpapi:NotifyAddrChange (Handle 0xdfe308, overlapped 0xdfe320): stub
fixme:storage:create_storagefile Storage share mode not implemented."

Do I need to be concerned about them?
The attachment contains all the error messages I got from winecfg. I hope it helps debug the wine-gecko missing problem.
Comment 2 Michael Cronenworth 2013-07-28 13:33:07 EDT
The latest MinGW gcc has built in a dependency on libgcc_s_sjlj-1.dll, which wine-gecko cannot find and fails to run.

@Andreas Bierfert, can you rebuild wine-gecko with '-static-libgcc' added to the LFLAGS? This should remove the added dependency.

A temporary workaround is to copy libgcc_s_sjlj-1.dll from mingw32-gcc into ~/$WINEPREFIX/drive_c/windows/syswow64/gecko/2.21/wine_gecko/.
Comment 3 František Zatloukal 2013-07-28 15:37:50 EDT
As another temponary workaround can be used "Install" option for wine gecko during wine configuration directory generation.
Wine 1.6, Rawhide
Comment 4 Peter H. Jones 2013-08-07 21:05:55 EDT
Created attachment 784182 [details]
test of wine-1.6-3.fc20.x86_64 under fc19

wine-1.6-3.fc20.x86_64 installs easily in fc19. (It demanded a glib update in fc18, which I was not willing to risk. However, when I run winecfg and dxdiag.exe, I find wine-gecko is still not detected. I am also still getting the NTLM obsolete messages.
Comment 5 Michael Cronenworth 2013-08-07 21:51:04 EDT
Peter, I would not suggest installing packages from different versions of Fedora. There is no update in rawhide that is for this issue. Please see comment #2 for the description of the problem and a workaround.

The -3 in rawhide is for a desktop sub-package change (-2) and the F20 mass rebuild(-3).
Comment 6 Michael Cronenworth 2013-08-12 12:33:37 EDT
Andreas,

Upstream has resolved this issue. My suggestion in comment 2 was the fix they applied.

https://bugzilla.mozilla.org/show_bug.cgi?id=876416
Comment 7 Erik van Pienbroek 2013-08-17 07:21:55 EDT
For more details about this subject, see http://thread.gmane.org/gmane.comp.gnu.mingw.w64.general/8127 (generic discussion about the libgcc dependency) and http://article.gmane.org/gmane.comp.gnu.mingw.w64.general/8134 (specifically about this wine-gecko issue).

BTW, mingw-wine-gecko currently also fails to build on rawhide:
+ ./wine/make_package --msi-package -win32
make_package: Building xulrunner...
make: python: Command not found
make: *** [/builddir/build/BUILD/mingw-wine-gecko-2.21/wine-mozilla-2.21/configure] Error 127

I guess a BuildRequires: python needs to be added for this

If you're short on time I'm also willing to commit both these changes and push an updated package to f19. Just let me know
Comment 8 Andreas Bierfert 2013-08-17 09:28:41 EDT
Sorry for the delay. Will take care of the problems tomorrow. Thanks for all the feedback/input.
Comment 9 Fedora Update System 2013-08-19 05:26:02 EDT
wine-1.6-1.fc18,mingw-wine-gecko-2.21-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wine-1.6-1.fc18,mingw-wine-gecko-2.21-3.fc18
Comment 10 Fedora Update System 2013-08-19 05:28:02 EDT
wine-1.7.0-1.fc19,mingw-wine-gecko-2.21-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wine-1.7.0-1.fc19,mingw-wine-gecko-2.21-3.fc19
Comment 11 František Zatloukal 2013-08-19 09:44:09 EDT
Fix confirmed in Rawhide.
Comment 12 Fedora Update System 2013-08-19 17:25:14 EDT
Package wine-1.7.0-1.fc19, mingw-wine-gecko-2.21-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-1.7.0-1.fc19 mingw-wine-gecko-2.21-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14997/wine-1.7.0-1.fc19,mingw-wine-gecko-2.21-3.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-08-27 19:36:42 EDT
wine-1.7.0-1.fc19, mingw-wine-gecko-2.21-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-08-31 19:57:51 EDT
wine-1.6-1.fc18, mingw-wine-gecko-2.21-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.